gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.EntryIconAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype EntryIconAccessible = EntryIconAccessible (ManagedPtr EntryIconAccessible)
- class (GObject o, IsDescendantOf EntryIconAccessible o) => IsEntryIconAccessible o
- toEntryIconAccessible :: (MonadIO m, IsEntryIconAccessible o) => o -> m EntryIconAccessible

# Exported types

newtype EntryIconAccessible Source #

Memory-managed wrapper type.

Constructors

EntryIconAccessible (ManagedPtr EntryIconAccessible) |

#### Instances

Instances details

Eq EntryIconAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryIconAccessible Methods (==) :: EntryIconAccessible -> EntryIconAccessible -> Bool Source # (/=) :: EntryIconAccessible -> EntryIconAccessible -> Bool Source #
GObject EntryIconAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryIconAccessible
ManagedPtrNewtype EntryIconAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryIconAccessible Methods toManagedPtr :: EntryIconAccessible -> ManagedPtr EntryIconAccessible Source #
TypedObject EntryIconAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryIconAccessible Methods glibType :: IO GType Source #
HasParentTypes EntryIconAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryIconAccessible
IsGValue (Maybe EntryIconAccessible) Source # | Convert `EntryIconAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.EntryIconAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe EntryIconAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe EntryIconAccessible) Source #
type ParentTypes EntryIconAccessible Source # |
Instance details Defined in GI.Gtk.Objects.EntryIconAccessible type ParentTypes EntryIconAccessible = '[Object, Object, Action, Component]

class (GObject o, IsDescendantOf EntryIconAccessible o) => IsEntryIconAccessible o Source #

Type class for types which can be safely cast to `EntryIconAccessible`, for instance with `toEntryIconAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf EntryIconAccessible o) => IsEntryIconAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.EntryIconAccessible

toEntryIconAccessible :: (MonadIO m, IsEntryIconAccessible o) => o -> m EntryIconAccessible Source #

Cast to `EntryIconAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize.